<inp2:m_include t="incs/header"/>
<inp2:m_RenderElement name="combined_header" section="in-portal:phrases" pagination="1" grid="Phrases" prefix="phrases" title_preset="phrases_list_st" additional_blue_bar_render_as="grid_ml_selector"/>

<!-- ToolBar -->
<table class="toolbar" height="30" cellspacing="0" cellpadding="0" width="100%" border="0">
<tbody>
	<tr>
		<td>
			<script type="text/javascript">
				//do not rename - this function is used in default grid for double click!
				function edit()
				{
					Application.SetVar('m_lang', '<inp2:m_Get name="m_lang"/>');
					std_edit_item('phrases', 'languages/phrase_edit');
				}

				var a_toolbar = new ToolBar();

				<inp2:m_RenderElement design="toolbar_button" icon="new_item" title="la_ToolTip_NewPhrase" short_title="la_ToolTip_Add">
					std_precreate_item('phrases', 'languages/phrase_edit');
				</inp2:m_RenderElement>

				<inp2:m_RenderElement design="toolbar_button" icon="edit" title="la_ToolTip_Edit" short_title="la_ShortToolTip_Edit">
					edit();
				</inp2:m_RenderElement>

				<inp2:m_RenderElement design="toolbar_button" icon="delete" title="la_ToolTip_Delete">
					std_delete_items('phrases');
				</inp2:m_RenderElement>

				a_toolbar.AddButton( new ToolBarSeparator('sep1') );

				<inp2:m_RenderElement design="toolbar_button" icon="export" title="la_ToolTip_Export" short_title="la_ShortToolTip_Export">
					open_popup('phrases', 'OnExportPhrases', 'regional/languages_export');
				</inp2:m_RenderElement>

				a_toolbar.AddButton( new ToolBarSeparator('sep2') );

				<inp2:m_RenderElement design="toolbar_button" icon="view" title="la_ToolTip_View">
					show_viewmenu(a_toolbar,'view');
				</inp2:m_RenderElement>

				a_toolbar.Render();
			</script>
		</td>
		<inp2:m_RenderElement name="search_main_toolbar" prefix="phrases" grid="Phrases"/>
	</tr>
</tbody>
</table>

<inp2:m_RenderElement name="grid" PrefixSpecial="phrases" IdField="PhraseId" grid="Phrases" menu_filters="yes"/>
<script type="text/javascript">
	Grids['phrases'].SetDependantToolbarButtons( new Array('edit','delete','primary_language','export_language') );
</script>

<inp2:m_include t="incs/footer"/>